function [tags,labels,displaystring,othertags]=mphtags(model, name, silent, pre, post, types)
% MPHTAGS Get tags and names for nodes in a COMSOL model.
%
% MPHTAGS returns tags for the models on the server.
%
% MPHTAGS -show returns as well as file names for the models on the server.
%
% MPHTAGS(node) returns tags for a node in a COMSOL model.
%
% [tags,labels,displaystring] = MPHTAGS(node) returns tags and labels for
% a node in a model.
%
% MPHTAGS(model, type) returns information for special nodes in a model.
% valid values for type are 'dataset', 'evaluationgroup', 'export',
% 'numerical', 'report', 'result' and 'table'
%
% Example
% tags = mphtags(model.sol)
%
% [tags,names] = mphtags(model, 'dataset')

%   Copyright 2017-2021 COMSOL
